MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000830XdebugUsage problems (Wrong Results)public2012-05-11 01:292012-05-28 13:04
Reporternlaplante 
Assigned Toderick 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformPHP 5.4.0 Apache 2.2.22OSGentoo Linux amd64OS Version3.2.12
Product Version2.2.0 
Target Version2.2.1Fixed in Version2.2.1 
Summary0000830: Crash when evaluating variables from remote Eclipse IDE
DescriptionI experience an XDebug crash when trying to debug variables (either by hovering it or opening the variables pane).

First, Eclipse throws this error message:

"Unexpected termination of script, debugging ended."

The Apache error_log contains this:

"[error] child died with signal 11"

Steps To Reproduce1. Define breakpoint in Eclipse
2. Start debug session in Eclipse
3. When at breakpoint, either open variables pane or hover a variable in the editor
Additional InformationI tried using watch expressions. I noticed that if I put the name of variables I expect are strings, it works fine. But if I add an expression to evaluate an object , xdebug crashes with the error specified in the description.
TagsNo tags attached.
Operating System
PHP Version5.4.0
Attached Fileslog file icon xdebug.log [^] (19,587 bytes) 2012-05-14 22:54
log file icon xdebug-bt.log [^] (20,259 bytes) 2012-05-15 23:02
log file icon xdebug-bt.2.log [^] (20,286 bytes) 2012-05-15 23:09
log file icon xdebug-bt.3.log [^] (41,495 bytes) 2012-05-15 23:10

- Relationships

-  Notes
(0002149)
derick (administrator)
2012-05-13 22:51

Hi,

In order to reproduce and fix this, I'd need the following information:

- A *short* and *self-contained* script that reproduces the issue while debugging
- A debugging log, which you can make with setting xdebug.remote_log=/tmp/xdebug.log


cheers,
Derick
(0002150)
nlaplante (reporter)
2012-05-14 22:55

I can't reproduce the problem outside of my Symfony 2 environment. Maybe it has to do with the autoloading mechanism?

I attach my xdebug.log file.
(0002153)
derick (administrator)
2012-05-15 10:43

It's probably not autoloading, but something to do with (static) properties instead. Could you perhaps try making a backtrace for me? (See: https://bugs.php.net/bugs-generating-backtrace.php [^])
(0002154)
nlaplante (reporter)
2012-05-15 23:02

I uploaded the backtrace. Let me know if you need anything
(0002155)
derick (administrator)
2012-05-15 23:07

Awesome, sorry to be a pain, but could you please also run:

p *struc
bt full
(0002156)
nlaplante (reporter)
2012-05-15 23:09

Here you are!
(0002157)
nlaplante (reporter)
2012-05-15 23:10

Don't use -bt.2.log, I forgot to run "bt full". Use -bt.3.log instead.
(0002162)
derick (administrator)
2012-05-16 22:07

Hi, I've tried this with just Monolog, which is where the crash seems to happen. However, I have not made any success. It it possible for you to create a full setup for me, in for example a VM that I could debug?
(0002163)
nlaplante (reporter)
2012-05-17 01:00

Yes. I opened up my app at http://nlaplante.dyndns.org:8080/app_dev.php [^]

XDebug is enabled, you can go and try it. Let me know when you're finished,
(0002167)
derick (administrator)
2012-05-17 08:33

Hi, Just having access to the website is not going to help me; I'd need shell access to probe the innards of Xdebug as well!

cheers,
Derick
(0002174)
nlaplante (reporter)
2012-05-17 12:19

Derick, please contact me at nicolas.laplante@gmail.com. I'll give you ssh credentials to log into the system.
(0002179)
nlaplante (reporter)
2012-05-17 22:10

I think it would be a better idea for you to checkout a copy of my project instead. Here's the svn url:

http://svn.nlaplante.com/profolio/branches/xdebug [^]

Email me for credentials at the address in the previous comment. Thanks!
(0002200)
derick (administrator)
2012-05-28 09:26

I think I've just pushed a fix to github for this issue. Could you please try it?
(0002207)
nlaplante (reporter)
2012-05-28 12:34

I just tested your fix and it seems to work fine. XDebug doesn't crash on variable inspection anymore, and I can dig into objects normally!

- Issue History
Date Modified Username Field Change
2012-05-11 01:29 nlaplante New Issue
2012-05-13 22:51 derick Note Added: 0002149
2012-05-13 22:51 derick Assigned To => derick
2012-05-13 22:51 derick Status new => feedback
2012-05-14 22:54 nlaplante File Added: xdebug.log
2012-05-14 22:55 nlaplante Note Added: 0002150
2012-05-14 22:55 nlaplante Status feedback => assigned
2012-05-15 10:43 derick Note Added: 0002153
2012-05-15 10:43 derick Status assigned => feedback
2012-05-15 23:02 nlaplante File Added: xdebug-bt.log
2012-05-15 23:02 nlaplante Note Added: 0002154
2012-05-15 23:02 nlaplante Status feedback => assigned
2012-05-15 23:07 derick Note Added: 0002155
2012-05-15 23:07 derick Status assigned => feedback
2012-05-15 23:09 nlaplante File Added: xdebug-bt.2.log
2012-05-15 23:09 nlaplante Note Added: 0002156
2012-05-15 23:09 nlaplante Status feedback => assigned
2012-05-15 23:10 nlaplante File Added: xdebug-bt.3.log
2012-05-15 23:10 nlaplante Note Added: 0002157
2012-05-15 23:30 derick Target Version => 2.2.1
2012-05-16 22:07 derick Note Added: 0002162
2012-05-16 22:07 derick Status assigned => feedback
2012-05-17 01:00 nlaplante Note Added: 0002163
2012-05-17 01:00 nlaplante Status feedback => assigned
2012-05-17 08:33 derick Note Added: 0002167
2012-05-17 08:33 derick Status assigned => feedback
2012-05-17 12:19 nlaplante Note Added: 0002174
2012-05-17 12:19 nlaplante Status feedback => assigned
2012-05-17 22:10 nlaplante Note Added: 0002179
2012-05-28 09:26 derick Note Added: 0002200
2012-05-28 09:26 derick Status assigned => feedback
2012-05-28 12:34 nlaplante Note Added: 0002207
2012-05-28 12:34 nlaplante Status feedback => assigned
2012-05-28 13:04 derick Status assigned => closed
2012-05-28 13:04 derick Resolution open => fixed
2012-05-28 13:04 derick Fixed in Version => 2.2.1
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker